% File with general header information.
% Like all the packages that we need to include and very common commands
% that we use.
\input{inc/header.tex}

% File with "general commands". Those are commands  and environments
% that we find useful throughout many papers (and other kinds of documents).
\input{inc/generalCommands.tex}

% File with "specific commands". Those are commands that may be rather
% specific to the current document (like shortcuts to some notation).
\input{inc/specificCommands.tex}

% Start of the actual document.
\begin{document}

  % Title page.
  %~ \title{Gradient computations for the membrane-mediated interaction of particles \\ \ \\ Scaffolding Draft}
  \title{Differentiation and \TK{???} of the interaction~potential for particles in lipid~bilayers \\ \ \\ Scaffolding Draft}
  %~ \title{\TK{to-do: Title} \\ \ \\ Scaffolding Draft}
  \maketitle
  
  % Table of contents.
  \tableofcontents
  
  \chapter{Introduction}
    \begin{itemize}
      \item \TK{to-do: Introduction concept.}
    \end{itemize}
  
  
  \chapter{Hybrid models for membrane mediated particle interactions}
    \section{Elastic membrane energy}
      \subsection{Canham--Helfrich type bending energy}
        \begin{itemize}
          \item Introduce the Canham--Helfrich energy with surface tension term
            \begin{align*}
              \int_{\cM} \frac{1}{2}\kappa(H-c_0)^2 +\kappa_G K + \sigma
              \text{.}
            \end{align*}
          \item Explain meaning of coefficients.
          \item Mention Gau{\ss}-Bonnet and that $\kappa_G = 0$ may be chosen in minimization problems involving the bending energy (where the boundary topology does not change).
        \end{itemize}
      \subsection{Parameterization over a reference domain}
        \begin{itemize}
          \item Assume that the membrane looks almost like a surface $\cM_0$ for which a global parameterization is known.
                Explain how relevant quantities are computed in order to arrive at a Canham--Helfrich energy $E(u)$ in the ``$\cM_0$-graph case''. (I.\,e., basically quote a good introductory book to differential geometry.)
          \item Add as examples the Monge-gauge and the tube with spontaneous curvature. (Maybe also for the sphere.)
        \end{itemize}
      \subsection{Geometric linearization}
        \begin{itemize}
          \item Idea: Taylor approximation of the nonlinear parameterized energy $E(u)$ up to second order.
          \item Approximation is computed entirely in geometric terms, \ie independently of the chosen parameterization.
          \item Also we decide not to neglect spontaneous curvature and Gauss curvature because the result might be interesting for further applications while the extra-effort is negligible. (And we maybe need the spontaneous curvature $c_0$ for the tube example anyway.)
          \item We include some examples for flat membranes and tubes. (Maybe also a remark on spheres.)
        \end{itemize}
        On the actual proofs:
        \begin{enumerate}
          \item Introduce surface derivatives (first and second, gradient, laplacian and divergence). Mention that those are independent of the chosen chart (although represented through charts) and that the second derivative needs not be symmetric.
          \item Mention how the normal is always perpendicular to a surface derivative.
          \item Define also the (extended) Weingarten map and mention its relation to the mean curvature and the Gauss curvature if not done yet. State (maybe beforehand even) that it is symmetric and the role of its eigenvalues/eigenvectors.
          \item Introduce the concept of a material derivative.
          \item Write down how we now plan to approximate the energy by a second order Taylor expansion using the material derivative. This includes defining the perturbation map, metric tensor, etc.
          \item Material/time derivatives of some simple quantities.
          \item Material derivative of surface derivative (general and at $t=0$).
          \item Material derivatives of some simple quantities at $t=0$.
          \item Material derivatives of the normal (at $t = 0$?).
          \item Material derivative of ``$\cC$'' (at $t=0$?).
          \item Second material derivative at $t=0$.
          \item Material derivative of the velocity term in the transport formula at $t=0$.
          \item Transport formula (including second order) at $t=0$.
          \item First and second material derivative of $\cH$ at $t=0$.
          \item First and second material derivative of $H$ at $t = 0$.
          \item Material derivative of principal directions and principal curvatures.
          \item First and second material derivative of $K$ at $t=0$.
          \item Collective (or maybe separated) statement of linearization of the terms from the Canham--Helfrich type energy.
          \item Example: Linearization over plane $\rightarrow$ Monge-gauge
          \item Example: Linearization over tube with spontaneous curvature
        \end{enumerate}
      
    \section{Constraint-based membrane--particle coupling}
      \TK{To-do: Carry concept out in more detail}
      (Maybe remark somewhere: Could extend to wrapping of particles)
      \subsection{Point value constraints}
        \snote{To-do: look up if ``point curvature constraints'' exist in the literature.}
        \begin{itemize}
          \item Idea: We assume rigid particles that bind in connecting points to the membrane. Therefore, point constraints simply prescribe values of $u$.
          \item Here we introduce and explain the boundary conditions $u|_{\Gamma} = \gamma$ where $\cG = \im(\id_{\cM_0}, \gamma|_{\Gamma})$.
          %~ \item Here we introduce the notation that for $N$ (not necessarily identical) particles we have sets $\Gamma_0^i$ such that a particle centered in the origin would prescribe constraints $T_{\text{point}}(u) = g$.
          \item This is well-defined in view of the Sobolev embedding theorems.
          \item Schematic picture of a particle connecting in points to the membrane.
        \end{itemize}
      \subsection{Curve constraints}
        \begin{itemize}
          \item Suppose that there is and object that locally prescribes a height profile and a slope of the membrane along a curve.
          \item For example: Transmembrane particles and scaffolds. (Give also a picture)
          \item We explain how the (first order) boundary conditions stay the same as for point value constraints.
          \item For the constraints on the slope we consider pre-defined tangent spaces and claim that only the $\Gamma$-normal direction needs to be chosen (or, technically, anything that is not the tangent in $\Gamma$).
        \end{itemize}
      \subsection{*Average constraints}
        \snote{Maybe this section should rather be something like ``other constraints''. What would we treat here exactly? Alternatively: How can we say ``enough'' about average constraints?}
        \begin{itemize}
          \item As before. (Also we should not forget to mention somewhere the full plethora of possibilities that can be found in the overview article.)
        \end{itemize}
      \begin{comment}
      \subsection{Variable lateral position and rotation}
        \begin{itemize}
          \item State idea and notation.
        \end{itemize}
      \subsection{Variable height and linearized tilt}
        \begin{itemize}
          \item State idea and notation.
          \item Explanation of linearized tilt.
          \item Equivalence of variable height/tilt to ``projection constraints''.
          \item (Note: Technically, in the non-flat regime the size of the particle on the reference domain $\Omega$ should depend on the particle's height. $\longrightarrow$ Should height and tilt be treated as explicit parameters or is the introduced error still negligible?)
        \end{itemize}
      \subsection{Or instead: Variable particle position and orientation}
      \end{comment}
      \subsection{Variable particle positions and orientations}
        \begin{itemize}
          \item Start from reference particle $\cG_0$ with $\Gamma_0$, which may either be a pointwise or a curve particle. In case of a curve particle we also consider a $\wt{T}\cG_0$, where $\wt{T}\cG_0$ is an arbitrary 2D extension of $T\cG_0$ (such that $e_3 \notin \wt{T}\cG_0$).
          \item Define function $\Psi$ for variable position and orientation. Explain $\p$-notation. Define also $\Psi'$ for rotation only.
          \item Define $\cG(\p)$ and introduce $\pi$/$d$ in order to define $\Gamma(\p)$.
          \item Define also $\wt{T}\cG(\p)$ and deduce the resulting condition on the normal derivative.
          \item Finally, set up the notation $T(\p;u) = g(\p)$ for both point constraints and curve constraints.
          \item (Remark on projection constraints?)
        \end{itemize}
        
    \section{Interaction potential}
      \begin{itemize}
        \item Define admissible set $\Uad(\p)$ as kernel of a linear constraint function $T(\p)$ over a Sobolev space that incorporates Dirichlet boundary conditions. (Others may be used, too, but we won't.)
        \item Define interaction potential (which may be augmented by a direct particle interaction).
        \item Mention connection to elliptic PDEs, namely that the minimizer for fixed $\p$ is defined by the solution of an elliptic PDE on $\Omega(\p)$ subject to the given constraints. -- or maybe do that in the examples?
        \item State well-definedness for linear problems in case of coercivity. More precisely: If the energy is quadratic and coercive on the admissible set, then there is a unique solution that is characterized by the corresponding variational equation.
      \end{itemize}
      
    \section{Example models}
      \TK{To-do: Carry concept out in more detail}
      \subsection{F-BAR domains on a flat membrane}
        \begin{itemize}
          \item Monge-gauge with point-constraints
          \item Repulsive potential for regularization, \eg Lennard--Jones (or rather something more efficient or at least smoothed out?)\snote{To-do: Check for alternatives.}
          \item Neglecting Gauss curvature in view of Gauss--Bonnet.
          \item Well-definedness of interaction potential (\ie well-posedness of the minimization problem) by Lax--Milgram
        \end{itemize}
      \subsection{Anisotropic protein scaffolds on a tube}
        \begin{itemize}
          \item Energy over tube or radius $r$ with curve constraints
          \item Maybe: With spontaneous curvature $c_0 = \frac{1}{r}$ (makes equations simpler because it ``stabilizes'' the reference surface)
          \item Neglecting Gauss curvature in view of Gauss--Bonnet.
          \item Well-definedness should also come from Lax--Milgram
        \end{itemize}
      
      
  \chapter{Differentiation of the interaction potential}
    \section{Constraint-preserving diffeomorphisms}
      \begin{itemize}
        \item In this section we assume a certain structure of the constraints (keyword: subset based evaluation) and assume that there are some maps that relate those maps with each other.
        \item Assume a vector field with the ``trace preserving property''
        \item Prove that this induces a so-called trace-preserving diffeomorphism.
        \item In particular it is constraint preserving, which implies a bijection between admissible sets.
      \end{itemize}
    
    \section{Differentiability}
      \begin{itemize}
        \item Starting from the implicit function theorem\dots
        \item \dots and assuming that we have a family of bijections between admissible sets
        \item we can state differentiability of the (elasticity part of the) interaction potential (if the transformed object is differentiable).
      \end{itemize}
    
    \section{Volume integral representation} %(of the gradient?)
      \begin{itemize}
        \item We now want to compute the gradient by evaluation of directional derivatives.
        \item Prove (with the help of matrix calculus and assuming given constraint-preserving diffeomorphisms $\cX$) an explicit expression for the directional derivative in terms of $u(\p)$ and (derivatives of) $\cX$.
        \item Conclude that derivatives of $\cX$ may be replaced by a ``simple'' vector field (which technically needs to be extensible to a larger time/configuration-dependent vector field -- although a density argument should maybe even let us get away with less regularity).
        \item Remark why this is numerically feasible. At this occasion one could also remark on the Hadamard-form and on comparable results from shape optimization.
      \end{itemize}
      
    \section{Application to the example models}
      \begin{itemize}
        \item We simply use the (rather abstract) framework above to carry out concrete example computations for the models that we had mentioned already earlier.
      \end{itemize}
      
      
  \chapter{Gradient methods for particle clustering -- TODO: FIND BETTER TITLE}
    \begin{itemize}
      \item \TK{to-do: find proper contents}
    \end{itemize}
  
  \chapter{Discretization}
    \section{Conforming finite element method for point value constraints}
      \begin{itemize}
        \item We introduce a finite element space with certain approximation properties.
        \item We assume a grid that is matched to the points and restrict the finite element space appropriately. (Note: Here it is way nicer if we do not include any projections.)
        \item We cite the C\'ea lemma...
        \item ... and argue that we still get an optimal approximation because the singularity is sitting on a grid node.
        \item For the actual discretization we may mention that this restriction is rather easy to carry out.
      \end{itemize}
  
    \section{Fictitious domain stabilized Nitsche method for curve constraints}
      \begin{itemize}
        \item We introduce the discretization scheme...
        \item ... and prove error estimates.
        \item We either prove or remark on Strang-type estimates and ``optimal'' condition numbers.
      \end{itemize}
    
    \section{Evaluation of the gradient of the interaction potential}
      \begin{itemize}
        \item Explain how $V$ may be computed, give maybe even a density-based justification of reduced smoothness.
        \item Derive a quick error estimate.
      \end{itemize}

    \section{(Probably: Something on the discretization of the gradient method)}
  
  
  \chapter{Numerical experiments} 
    \section{Remarks on the implementation}
      For example:
      \begin{itemize}
        \item Grid generation
        \item Bogner--Fox--Schmit finite elements
        \item Computation of the integrals
        \item Solution/preconditioning of the linear system
        \item Adaptivity
        \item (Maybe: Construction of the vector field)
      \end{itemize}
      
    \section{Rates of convergence}
      \begin{itemize}
        \item Typical experimental investigations converning rates of convergence.
        \item \TK{to-do: come up with some good examples}
      \end{itemize}
      \subsection{Point value constraint model}
      \subsection{Curve constraint model}
      \subsection{Evaluation of derivatives}


  \chapter{Clustering of BAR domains}
    \begin{itemize}
      \item Application of the previous results.
    \end{itemize}
  
  
  \chapter{Outlook to overdamped Langevin dynamics of particles in membranes}
    \begin{itemize}
      \item Give a two page explanation and perspective (with pictures) of free energy computations based on overdamped Langevin dynamics.
    \end{itemize}
  
    
  \chapter{Appendix}
    \section{Some identities from matrix calculus}
      \begin{itemize}
        \item Cite some of the results that are cited in the matrix cookbook.
      \end{itemize}
    %~ \section{Construction of constraint preserving maps}
    %~ \section{Bogner--Fox--Schmit finite elements}
  
  
  \chapter{(Further directions of research) / Towards statistical mechanics of particles on membranes?}
    \begin{itemize}
      \item It is now nicely possible to apply gradient method to the interaction potential of a plethora of different models.
      \item Further steps could be in the direction of leaving the zero-temperature regime. This naturally leads to (overdamped) Langevin-dynamics.
      \item Similarly, an extension to continuous simulated annealing for global optimization would be a feasible extension.
      \item Also treatment of nonlinear graph case or fully nonlinear system could be interesting.
    \end{itemize}


  \chapter{(Some omitted contents and other thoughts)}
    \begin{itemize}
      \item Several other possible constraints could be considered. Those are mostly explained in the overview article. (Plus engulfment.)
      \item Incorporation of volume or surface constraints.
      \item Maybe: Linearization of tilt and projection constraints.
      \item Higher order differentiability of the interaction potential (and evaluation of those derivaties)
      \item The ``pure'' penalty method is not being considered because it is pretty much completely dominated by the Nitsche method.
    \end{itemize}
    
    \begin{itemize}
      \item We might get away cheaply in the discretization for point value constraints if we just align the grid with the points of evaluation.
      \item Putting the clustering into the center of attention is out of the scope of this work. This is because this leads to a nonlinear problem on a non-convex domain with blowup nearby the boundary (and which is not defined outside the admissible set). Sadly, I do not know any literature that covers such a problem.
      \item What should we say about gradient flows? How can we avoid problems with the step sizing?
    \end{itemize}

\end{document}

